/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package vista;

import controlador.daos.CuentaDao;
import controlador.daos.PersonaDao;
import javax.swing.JOptionPane;

/**
 *
 * @author compa
 */
public class Frm_agregarClientes extends javax.swing.JFrame {

    /**
     * Creates new form Frm_agregarProductos
     */
    private PersonaDao personadao = new PersonaDao();
    private CuentaDao cuentaDao = new CuentaDao();

    public Frm_agregarClientes() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        jLabel4 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel5 = new javax.swing.JLabel();
        txt_agreIdCliente = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        txt_agreRazonSocial = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        cbx_agreDescuentoCliente = new javax.swing.JComboBox<>();
        jLabel8 = new javax.swing.JLabel();
        cbx_agreTipoCliente = new javax.swing.JComboBox<>();
        jLabel9 = new javax.swing.JLabel();
        txt_agreCorreoCliente = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        btn_guardarProducto = new javax.swing.JLabel();
        jPanel5 = new javax.swing.JPanel();
        btn_cancelarProducto = new javax.swing.JLabel();
        jPanel6 = new javax.swing.JPanel();
        btn_irFactura = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        txt_agreDirCliente = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        txt_agreTelfCliente = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        cbx_admin = new javax.swing.JComboBox<>();

        jLabel2.setFont(new java.awt.Font("Roboto", 1, 18)); // NOI18N
        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("PRODUCTOS");

        jLabel3.setFont(new java.awt.Font("Roboto", 1, 18)); // NOI18N
        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("PRODUCTOS");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        getContentPane().setLayout(null);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));
        jPanel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        jLabel4.setFont(new java.awt.Font("Roboto", 1, 18)); // NOI18N
        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("PRODUCTOS");
        jPanel1.add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(660, 10, 110, 20));

        jLabel1.setFont(new java.awt.Font("Roboto", 1, 14)); // NOI18N
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel1.setText("Identificación:");
        jPanel1.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 80, 110, 20));
        jPanel1.add(jSeparator1, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 30, 280, 10));

        jLabel5.setFont(new java.awt.Font("Roboto", 1, 18)); // NOI18N
        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("AGREGAR CLIENTES");
        jPanel1.add(jLabel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 10, 270, 20));

        txt_agreIdCliente.setFont(new java.awt.Font("Roboto", 0, 11)); // NOI18N
        jPanel1.add(txt_agreIdCliente, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 80, 150, -1));

        jLabel6.setFont(new java.awt.Font("Roboto", 1, 14)); // NOI18N
        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel6.setText("Tipo:");
        jPanel1.add(jLabel6, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 50, 110, 20));

        txt_agreRazonSocial.setFont(new java.awt.Font("Roboto", 0, 11)); // NOI18N
        jPanel1.add(txt_agreRazonSocial, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 110, 150, -1));

        jLabel7.setFont(new java.awt.Font("Roboto", 1, 14)); // NOI18N
        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel7.setText("Razón Social:");
        jPanel1.add(jLabel7, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 110, 110, 20));

        cbx_agreDescuentoCliente.setFont(new java.awt.Font("Roboto", 0, 11)); // NOI18N
        cbx_agreDescuentoCliente.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Nomal", "Plata", "Gold" }));
        jPanel1.add(cbx_agreDescuentoCliente, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 250, 150, -1));

        jLabel8.setFont(new java.awt.Font("Roboto", 1, 14)); // NOI18N
        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel8.setText("Administrador:");
        jPanel1.add(jLabel8, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 290, -1, 20));

        cbx_agreTipoCliente.setFont(new java.awt.Font("Roboto", 0, 11)); // NOI18N
        cbx_agreTipoCliente.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Cédula", "RUC", "Consumidor Final" }));
        jPanel1.add(cbx_agreTipoCliente, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 50, 150, -1));

        jLabel9.setFont(new java.awt.Font("Roboto", 1, 14)); // NOI18N
        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel9.setText("Correo:");
        jPanel1.add(jLabel9, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 200, 110, 20));

        txt_agreCorreoCliente.setFont(new java.awt.Font("Roboto", 0, 11)); // NOI18N
        txt_agreCorreoCliente.setHorizontalAlignment(javax.swing.JTextField.RIGHT);
        jPanel1.add(txt_agreCorreoCliente, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 200, 150, -1));

        jPanel3.setBackground(new java.awt.Color(0, 102, 255));
        jPanel3.setForeground(new java.awt.Color(0, 51, 255));

        btn_guardarProducto.setFont(new java.awt.Font("Roboto", 1, 11)); // NOI18N
        btn_guardarProducto.setForeground(new java.awt.Color(255, 255, 255));
        btn_guardarProducto.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        btn_guardarProducto.setText("GUARDAR");
        btn_guardarProducto.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        btn_guardarProducto.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                btn_guardarProductoMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(btn_guardarProducto, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(btn_guardarProducto, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        jPanel1.add(jPanel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(90, 330, 120, 30));

        jPanel5.setBackground(new java.awt.Color(0, 102, 255));
        jPanel5.setForeground(new java.awt.Color(0, 51, 255));

        btn_cancelarProducto.setFont(new java.awt.Font("Roboto", 1, 11)); // NOI18N
        btn_cancelarProducto.setForeground(new java.awt.Color(255, 255, 255));
        btn_cancelarProducto.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        btn_cancelarProducto.setText("CANCELAR");
        btn_cancelarProducto.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        btn_cancelarProducto.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                btn_cancelarProductoMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel5Layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(btn_cancelarProducto, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel5Layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(btn_cancelarProducto, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        jPanel1.add(jPanel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(90, 370, -1, -1));

        jPanel6.setBackground(new java.awt.Color(0, 102, 255));
        jPanel6.setForeground(new java.awt.Color(0, 51, 255));

        btn_irFactura.setFont(new java.awt.Font("Roboto", 1, 11)); // NOI18N
        btn_irFactura.setForeground(new java.awt.Color(255, 255, 255));
        btn_irFactura.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        btn_irFactura.setText("FACTURAR");
        btn_irFactura.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        btn_irFactura.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                btn_irFacturaMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(btn_irFactura, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(btn_irFactura, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        jPanel1.add(jPanel6, new org.netbeans.lib.awtextra.AbsoluteConstraints(90, 410, -1, -1));

        jLabel10.setFont(new java.awt.Font("Roboto", 1, 14)); // NOI18N
        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel10.setText("Dirección:");
        jPanel1.add(jLabel10, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 140, 110, 20));

        txt_agreDirCliente.setFont(new java.awt.Font("Roboto", 0, 11)); // NOI18N
        jPanel1.add(txt_agreDirCliente, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 140, 150, -1));

        jLabel11.setFont(new java.awt.Font("Roboto", 1, 14)); // NOI18N
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel11.setText("Teléfono:");
        jPanel1.add(jLabel11, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 170, 110, 20));

        txt_agreTelfCliente.setFont(new java.awt.Font("Roboto", 0, 11)); // NOI18N
        jPanel1.add(txt_agreTelfCliente, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 170, 150, -1));

        jLabel12.setFont(new java.awt.Font("Roboto", 1, 14)); // NOI18N
        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel12.setText("Descuento:");
        jPanel1.add(jLabel12, new org.netbeans.lib.awtextra.AbsoluteConstraints(10, 250, 110, 20));

        cbx_admin.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Si", "No" }));
        jPanel1.add(cbx_admin, new org.netbeans.lib.awtextra.AbsoluteConstraints(130, 290, 150, -1));

        getContentPane().add(jPanel1);
        jPanel1.setBounds(0, 0, 310, 450);

        setSize(new java.awt.Dimension(316, 478));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void btn_irFacturaMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btn_irFacturaMouseClicked
        // TODO add your handling code here:
        Frm_vistaFactura nuevaFactura = new Frm_vistaFactura();
        nuevaFactura.setVisible(true);
        this.dispose();
    }//GEN-LAST:event_btn_irFacturaMouseClicked

    private void btn_cancelarProductoMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btn_cancelarProductoMouseClicked
        // TODO add your handling code here:
        Frm_Clientes nuevoCliente = new Frm_Clientes();
        nuevoCliente.setVisible(true);
        this.dispose();
    }//GEN-LAST:event_btn_cancelarProductoMouseClicked

    private void btn_guardarProductoMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btn_guardarProductoMouseClicked
        // TODO add your handling code here:
        guardar();
    }//GEN-LAST:event_btn_guardarProductoMouseClicked

    /**
     * @param args the command line arguments
     */
    private boolean validar() {
        return (txt_agreCorreoCliente.getText().trim().length() > 0
                && txt_agreDirCliente.getText().trim().length() > 0
                && txt_agreIdCliente.getText().trim().length() > 0
                && txt_agreRazonSocial.getText().trim().length() > 0
                && txt_agreTelfCliente.getText().trim().length() > 0);
    }

    private void limpiar() {
        txt_agreCorreoCliente.setText("");
        txt_agreDirCliente.setText("");
        txt_agreIdCliente.setText("");
        txt_agreRazonSocial.setText("");
        txt_agreTelfCliente.setText("");
        cbx_agreDescuentoCliente.setSelectedItem(null);
        cbx_agreTipoCliente.setSelectedItem(null);
        cbx_admin.setSelectedItem(null);
    }

    private void guardar() {

        if (validar()) {
            //Tipo de documeto
            if (cbx_agreTipoCliente.getSelectedIndex() == 0) {
                personadao.getPersona().setTipoDocumento("Cédula");
            } else if (cbx_agreTipoCliente.getSelectedIndex() == 1) {
                personadao.getPersona().setTipoDocumento("RUC");
            } else {
                personadao.getPersona().setTipoDocumento("Consumido Final");
                personadao.getPersona().setCedula("1111111111");
                txt_agreIdCliente.setText(personadao.getPersona().getCedula());
            }
            //Resto de datos
            personadao.getPersona().setCedula(txt_agreIdCliente.getText().trim());
            personadao.getPersona().setCorreo(txt_agreCorreoCliente.getText().trim());
            personadao.getPersona().setDireccion(txt_agreDirCliente.getText().trim());
            personadao.getPersona().setNombre(txt_agreRazonSocial.getText().trim());
            if (cbx_agreDescuentoCliente.getSelectedIndex() == 0) {
                personadao.getPersona().setDescuento(0.0);
            } else if (cbx_agreTipoCliente.getSelectedIndex() == 1) {
                personadao.getPersona().setDescuento(10.0);
            } else {
                personadao.getPersona().setDescuento(20.0);
            }

            if (personadao.guardar()) {
                cuentaDao.getCuenta().setClave(personadao.getPersona().getCedula());
                cuentaDao.getCuenta().setCorreo(personadao.getPersona().getCorreo());
                cuentaDao.getCuenta().setId(personadao.getPersona().getId());
                if (cbx_admin.getSelectedIndex() == 0) {
                    cuentaDao.getCuenta().setEstado(true);
                    System.out.println("ver estado " + cuentaDao.getCuenta().getEstado());
                } else if (cbx_admin.getSelectedIndex() == 1) {
                    cuentaDao.getCuenta().setEstado(false);
                    System.out.println("ver estado " + cuentaDao.getCuenta().getEstado());
                }
                cuentaDao.guardar();
                JOptionPane.showMessageDialog(null, "Guardado con ëxito", "Ok", JOptionPane.INFORMATION_MESSAGE);
                limpiar();
            } else {
                JOptionPane.showMessageDialog(null, "No se puede guardar", "Error", JOptionPane.ERROR_MESSAGE);

            }
        } else {
            JOptionPane.showMessageDialog(null, "No se puede guardar", "Error", JOptionPane.ERROR_MESSAGE);
        }
    }

    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(Frm_agregarClientes.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(Frm_agregarClientes.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(Frm_agregarClientes.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(Frm_agregarClientes.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Frm_agregarClientes().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel btn_cancelarProducto;
    private javax.swing.JLabel btn_guardarProducto;
    private javax.swing.JLabel btn_irFactura;
    private javax.swing.JComboBox<String> cbx_admin;
    private javax.swing.JComboBox<String> cbx_agreDescuentoCliente;
    private javax.swing.JComboBox<String> cbx_agreTipoCliente;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField txt_agreCorreoCliente;
    private javax.swing.JTextField txt_agreDirCliente;
    private javax.swing.JTextField txt_agreIdCliente;
    private javax.swing.JTextField txt_agreRazonSocial;
    private javax.swing.JTextField txt_agreTelfCliente;
    // End of variables declaration//GEN-END:variables
}
